package com.gingersoft.gsa.cloud.pay;

import com.gingersoft.gsa.cloud.pay.bean.PayMethod;

import java.util.List;

/**
 * @作者: bin
 * @創建時間: 2021-04-14 15:05
 * @更新時間: 2021-04-14 15:05
 * @描述:
 */
public interface ResultCallback {

    void onSuccess();

    void onFailure(Throwable t);

    /**
     * 外部支付,交给回调方处理
     */
    void externalPayment();

    /**
     * 混合支付，选择二种以上支付方式
     */
    void hybridPayment(List<PayMethod> payMethods);
}
